#
# main package for subversion17 - Software Collection 
# providing subversion 1.7 for SLC/RHEL/CentOS 6
# 04.06.2015 Jaroslaw.Polok@cern.ch

%{!?scl_name_base:%global scl_name_base subversion}
%{!?scl_name_version:%global scl_name_version 17}
%{!?scl:%global scl %{scl_name_base}%{scl_name_version}}
%scl_package %scl

%global debug_package %{nil}

Packager: Jarek Polok <Jaroslaw.Polok@cern.ch>
Vendor: CERN Linux Support, http://cern.ch/linux 

Summary: Package that installs %scl - subversion 1.7 software collection
Name: %scl_name
Version: 1
Release: 1%{?dist}
License: GPLv2+
Source1: README.%{scl_name_base}%{scl_name_version}
Source2: LICENSE.%{scl_name_base}%{scl_name_version}

BuildRequires: scl-utils-build >= 20120927-8
Requires: %{name}-runtime

%description
This is the main package for %scl Software Collection, which installs
necessary packages to use subversion 1.7. Software Collections allow
to install more versions of the same package by using alternative
directory structure.
Install this package if you want to use subversion 1.7 on your system. 

%package runtime
Summary: Package that handles %scl Software Collection.
Requires: scl-utils >= 20120927-8
Requires(post): policycoreutils-python

%description runtime
Package shipping essential scripts to work with %scl Software Collection.

%package build
Summary: Package shipping basic build configuration
Requires: %{name}-scldevel = %{version}-%{release}

%description build
Package shipping essential configuration macros to build %scl Software
Collection or packages depending on %scl Software Collection.

%package scldevel
Summary: Package shipping development files for %scl

%description scldevel
Package shipping development files, especially useful for development of
packages depending on %scl Software Collection.

%prep
%setup -c -T

# SCL enable script
cat >> enable << EOF
export PATH=%{_bindir}\${PATH:+:\${PATH}}
export LIBRARY_PATH=%{_libdir}\${LIBRARY_PATH:+:\${LIBRARY_PATH}}
export LD_LIBRARY_PATH=%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}
export MANPATH=%{_mandir}:\${MANPATH}
export CPATH=%{_includedir}\${CPATH:+:\${CPATH}}
export PKG_CONFIG_PATH=%{_libdir}/pkgconfig:\$PKG_CONFIG_PATH
EOF

# SCL devel macros
cat >> macros.%{scl_name_base}%{scl_name_version}-scldevel << EOF
%%scl_%{scl_name_base} %{scl}
%%scl_prefix_%{scl_name_base} %{scl_prefix}
EOF

# README
cp %{SOURCE1} README

# license
cp %{SOURCE2} LICENSE

%build

%install
# Parentheses are needed here as workaround for rhbz#1017085
(%scl_install)

install -d -m 755 %{buildroot}%{_scl_scripts}
install -p -m 755 enable %{buildroot}%{_scl_scripts}/

# scldevel macro
install -p -m 644 macros.%{scl_name_base}%{scl_name_version}-scldevel %{buildroot}%{_root_sysconfdir}/rpm/

%files

%files runtime
%{scl_files}

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config

%files scldevel
%{_root_sysconfdir}/rpm/macros.%{scl_name_base}%{scl_name_version}-scldevel
%files


%post runtime
# Simple copy of context from system root to DSC root.
# In case new version needs some additional rules or context definition,
# it needs to be solved.
semanage fcontext -a -e / %{_scl_root} >/dev/null 2>&1 || :
restorecon -R %{_scl_root} >/dev/null 2>&1 || :

%changelog
* Thu Jun 04 2015 Jarek Polok <Jaroslaw.Polok@cern.ch> - 1-1
- initial release

